# coding: utf-8
from django.contrib.contenttypes.fields import GenericForeignKey
from django.contrib.contenttypes.models import ContentType
from django.db import models

from extedu.base.models import BaseModel


class SyncObject(BaseModel):

    """Модель, хранящая не синхронизируемые объекты."""

    content_type = models.ForeignKey(ContentType)
    object_id = models.PositiveIntegerField()
    content_object = GenericForeignKey()

    dont_sync = models.BooleanField(
        'Не отправлять в систему "Аналитика"', default=False
    )

    class Meta:
        unique_together = ('content_type', 'object_id')
        verbose_name = 'Объект, не отправляемый в "Аналитику"'
        verbose_name_plural = 'Объекты, не отправляемые в "Аналитику"'
